Issue 118604 - IP clearance: Remove dmake source
Summary: IP clearance: Remove dmake source
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Blocker (vote)
Target Milestone: ---
Assignee: Andre
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 118566
  Show dependency treegraph
 
Reported: 2011-11-15 12:21 UTC by Andre
Modified: 2013-02-21 23:22 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Added support for pre-installed dmake and for downloading source (11.81 KB, patch)
2011-11-16 12:49 UTC, Andre
no flags Details | Diff
Removed dmake module, part 1/3 (976.54 KB, patch)
2011-11-18 14:28 UTC, Andre
no flags Details | Diff
Removed dmake module, part 2/3 (976.55 KB, application/octet-stream)
2011-11-18 14:29 UTC, Andre
no flags Details
Removed dmake module, part 3/3 (852.34 KB, patch)
2011-11-18 14:29 UTC, Andre
no flags Details | Diff
Fixed deployment of dmake executable (1.14 KB, patch)
2011-11-18 15:52 UTC, Andre
no flags Details | Diff
Fixed use of user supplied or system dmake executable. (3.29 KB, patch)
2011-11-23 16:11 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2011-11-15 12:21:38 UTC
The dmake source code that is built by the bootstrap script is under GPL license and therefore can not remain in the OpenOffice SVN repository.

Dmake, however, is an essential tool for compiling the OpenOffice source code.  One or the other variant of having dmake as system dependency has to remain.
Comment 1 Andre 2011-11-16 12:49:25 UTC
Created attachment 77025 [details]
Added support for pre-installed dmake and for downloading source

This is a first version of handling dmake.

Using, downloading, and/or building of dmake works like this:

1. If no other (dmake) option is given, then configure tries to locate a pre-installed dmake executable in the usual (and system dependent) places.

2a. When it is not found and --with-dmake-path=<path-to-executable> is given to configure then the dmake executable is searched for in the specified path. This option is only necessary when dmake has been installed into a non-standard location, where it is not found by configure.

2b. When it is not found and --with-dmake-url=<url-to-source-package> is given to configure then the bootstrap script (by means of the fetch_tarballs.sh script) will download a source package from the given URL.  This package is expected to have a top-level directory that is identical to the package name without the file extension.  The package may be a .tar.gz/.tgz, .tar.bz2, or .zip archive.  The package is unpacked and built and the resulting dmake.exe is deployed to the solver module.

3. (Temporary) If none of the above works, then the internally provided dmake source code in the dmake module is built and the resulting executable is deployed.
Comment 2 Andre 2011-11-18 14:28:40 UTC
Created attachment 77028 [details]
Removed dmake module, part 1/3

Updated patch:
- Removed dmake module
- Added example URL to description of --with-dmake-url= configure option.
Comment 3 Andre 2011-11-18 14:29:16 UTC
Created attachment 77029 [details]
Removed dmake module, part 2/3
Comment 4 Andre 2011-11-18 14:29:44 UTC
Created attachment 77030 [details]
Removed dmake module, part 3/3
Comment 5 Andre 2011-11-18 14:32:45 UTC
Had to split the last path into three parts due to a general size limit on uploaded files (the removed dmake module apparently contained a lot of code.)

Please use something like cat part1 part2 part3 > 118604.patch to join them together.
Comment 6 Andre 2011-11-18 15:52:28 UTC
Created attachment 77031 [details]
Fixed deployment of dmake executable
Comment 7 jsc 2011-11-21 09:34:08 UTC
patch integrated

see, http://svn.apache.org/viewvc?rev=1204412&view=rev
Comment 8 Andre 2011-11-23 16:11:17 UTC
Created attachment 77043 [details]
Fixed use of user supplied or system dmake executable.
Comment 9 Pedro Giffuni 2011-12-07 22:09:31 UTC
FWIW,

There is still left a semi empty dmake directory with an AUTHORS file.
Comment 10 Andre 2011-12-08 12:13:57 UTC
@Pedro:

Not any more :-) Thanks for the reminder.

Removed in revision 1211852.
Comment 11 hdu@apache.org 2012-01-30 13:33:40 UTC
Closing resolved issue.